Subject: bug#24729: 24.5; unable to get the "~" character on a Swiss-French keyboard under OSX

From: Thierry Jeanneret <[email-masked]>
Date: Wed, 19 Oct 2016 16:26:13 +0200

Hi Alan,

Thank you for your answer. I will try to unbind the right M-n combination, but I will not spend too much time with this since Stefan gave me another trick.

Best regards,

Thierry

> Le 19 oct. 2016 à 13:01, Alan Third <[email-masked]> a écrit :
> 
>> On Tue, Oct 18, 2016 at 06:21:40PM +0200, Thierry Jeanneret wrote:
>> Hi There,
>> 
>> I am using the sml-mode/REPL from inside Emacs. When I try to get
>> the "~" character (normally Right Alt-n on my Swiss-French keyboard)
>> I get what looks to be the first command of the history buffer
>> instead.
>> 
>> When I use the REPL from inside a terminal I don't have this
>> problem, the "~" is available as usual, as here.
> 
> Hi,
> 
> This is a long‐standing problem with the defaults on non‐US English
> keyboards. There are a number of work‐arounds available.
> 
> See previous (non‐)discussion at:
> 
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=5011
> -- 
> Alan Third